- @page_title = t('.title')

= render 'layouts/page_actions', new_url: new_admin_genus_path,
                                 new_caption:  t('.new')

- if @genera.size.positive?
  = render 'admin/widgets/pagination', list: @genera

._filters
  ._filters__section
    ._filters__section__title= t('activerecord.attributes.genus.source')
    = filter_by_link t('generic.all'), filters: { source: nil }, keep: [:search, :resources]
    = filter_by_link t('generic.with'), filters: { source: 'with' }, keep: [:search, :resources]
    = filter_by_link t('generic.without'), filters: { source: 'without' }, keep: [:search, :resources]
  ._filters__section
    ._filters__section__title= t('activerecord.models.resource', count: 2)
    = filter_by_link t('generic.all'), filters: { resources: nil }, keep: [:search, :source]
    = filter_by_link t('generic.without'), filters: { resources: 'without' }, keep: [:search, :source]
  ._filters__spring
  ._filters__section= render 'admin/widgets/search', keep: [:source, :resources]

- if @genera.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
        %th.-text--monospace.-text--right{ scope: 'col' }= t('activerecord.attributes.genus.sync_id')
        %th{ scope: 'col' }= order_by_link t('activerecord.attributes.genus.name'),
                                            'families.name',
                                            keep_filters: [:search, :source, :resources]
        %th{ scope: 'col' }= t('activerecord.attributes.genus.family')
        %th{ scope: 'col' }= t('activerecord.attributes.genus.source')
        %th{ scope: 'col' }= t('activerecord.models.resource', count: 2)
        %th{ scope: 'col' }

    %tbody
      - @genera.each do |genus|
        %tr
          %td.-text--monospace.-text--right= genus.id
          %td.-text--monospace.-text--right= genus.sync_id.presence || '-'
          %td= link_to genus.name, admin_genus_path(genus)
          = missing_data_element :td, genus.family&.name, replacement: '-'
          %td.centered{ class: (genus.source.present? ? '' : 'warning') }
            = yes_no genus.source.present?
          %td.centered= genus.resources.size
          %td.-actions
            = render 'layouts/entity_actions', edit_url: edit_admin_genus_path(genus),
                                               destroy_url: admin_genus_path(genus)

  = render 'admin/widgets/pagination', list: @genera, name: 'genus'
